package com.ningdatech.pmapi.todocenter.service.impl;

import com.ningdatech.pmapi.todocenter.mapper.StatisticsMapper;
import com.ningdatech.pmapi.todocenter.model.po.TodoCenterStatisticsPO;
import com.ningdatech.pmapi.todocenter.service.StatisticsService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @Classname StatisticsService
 * @Description
 * @Date 2023/3/20 11:20
 * @Author PoffyZhang
 */
@Service
@AllArgsConstructor
public class StatisticsServiceImpl implements StatisticsService {

    private final StatisticsMapper mapper;

    @Override
    public TodoCenterStatisticsPO getStatistics(String employeeCode) {
        TodoCenterStatisticsPO res = new TodoCenterStatisticsPO();

        TodoCenterStatisticsPO todoOrIdo = mapper.getTodoOrIdo(employeeCode);
        if(Objects.nonNull(todoOrIdo)){
            res.setTodoNum(todoOrIdo.getTodoNum());
            res.setIdoNum(todoOrIdo.getIdoNum());
        }

        TodoCenterStatisticsPO submit = mapper.mysubmitNum(employeeCode);
        if(Objects.nonNull(submit)){
            res.setMysubmitNum(submit.getMysubmitNum());
        }

        TodoCenterStatisticsPO ccMe = mapper.ccNums(employeeCode);
        if(Objects.nonNull(ccMe)){
            res.setCcmeNum(ccMe.getCcmeNum());
        }

        return res;
    }
}
